%global forgeurl https://github.com/jschobben/colorscad

Name:    colorscad
Version: 0.6.1
Release: 1%{?dist}
Summary: Helps with exporting an OpenSCAD model with color information preserved.

%forgemeta
License: MIT
URL:     %{forgeurl}
Source0: %{forgesource}

Requires: openscad
Requires: sed

BuildRequires: cmake
BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: pkgconfig(lib3mf)

# For tests
BuildRequires: openscad
BuildRequires: sed


%description
This script helps with exporting an OpenSCAD model to AMF or 3MF format,
with color information preserved. The colors are simply assigned using
OpenSCADs color() statement, so generally speaking the output will look
like the preview (F5) view in OpenSCAD.

%prep
%forgesetup

%build
pushd 3mfmerge
%cmake
%cmake_build
popd

%install
install -p -D -m 0755 colorscad.sh %{buildroot}%{_bindir}/colorscad
pushd 3mfmerge
%cmake_install
popd

%check
PATH=%{buildroot}%{_bindir}:$PATH test/run.sh


%files
%license LICENSE
%doc README.md
%doc colors.scad
%{_bindir}/colorscad
%{_bindir}/3mfmerge

%changelog
* Sat Mar 15 2025 Jonny Heggheim <hegjon@gmail.com> - 0.6.1-1
- Updated to version 0.6.1

* Sat Mar 15 2025 Jonny Heggheim <hegjon@gmail.com> - 0.6.0-3
- Use PR-21 instead of custom patch for 3mfmerge location

* Sat Mar 15 2025 Jonny Heggheim <hegjon@gmail.com> - 0.6.0-2
- Updated colorscad to use 3mfmerge from $PATH

* Sat Mar 15 2025 Jonny Heggheim <hegjon@gmail.com>
- Initial package